# -*- coding: utf-8 -*-

from django.conf import settings
from django.utils.translation import ugettext as _
from django.contrib import admin

from jmb.jadmin.options import JumboModelAdmin

from .models import Office


class OfficeAdmin(JumboModelAdmin):
    fieldsets = (
        (_('logs admin'), {
            'fields': ('creator', 'date_create', 'last_modifier', 'date_last_modify',),
            'classes': ('collapse',)
        }),
        (_('general information'), {
            'fields': (('code', 'name'), 'description', 'phone', 'fax', 'email',)
        }),
    )
    list_display = (
        'get_status_icon', 'code', 'name',
        'get_edit_icon', 'get_delete_icon'
    )
    ordering = ('code', 'name')

admin.site.register(Office, OfficeAdmin)
